-- MySQL dump 10.13  Distrib 5.7.12, for Win64 (x86_64)
--
-- Host: localhost    Database: maindb
-- ------------------------------------------------------
-- Server version	5.7.12-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `errors`
--

DROP TABLE IF EXISTS `errors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `errors` (
  `seedid` int(11) NOT NULL,
  `pageid` int(11) NOT NULL,
  `depth` int(11) NOT NULL,
  `url` varchar(255) NOT NULL,
  `date` datetime NOT NULL,
  `exception` varchar(255) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  KEY `idx_date` (`date`),
  KEY `idx_seedid` (`seedid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `fedokr`
--

DROP TABLE IF EXISTS `fedokr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fedokr` (
  `idFO` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `nameFO` varchar(255) NOT NULL,
  `shortFO` varchar(100) DEFAULT NULL,
  `abbrFO` varchar(15) DEFAULT NULL,
  `centrFO` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`idFO`)
) ENGINE=InnoDB AUTO_INCREMENT=301 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pages` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SeedID` int(11) NOT NULL,
  `Url` varchar(2047) DEFAULT NULL,
  `Path` varchar(255) DEFAULT NULL,
  `PageSize` int(11) NOT NULL,
  `TextSize` int(11) NOT NULL,
  `DateModified` datetime NOT NULL,
  `Depth` int(11) NOT NULL DEFAULT '1',
  `ParentId` int(11) NOT NULL,
  `HasText` bit(1) NOT NULL,
  `Charset` varchar(1023) NOT NULL,
  `Header` varchar(1023) DEFAULT NULL,
  `Author` varchar(1023) DEFAULT NULL,
  `Preview` varchar(1023) DEFAULT NULL,
  `Date` datetime DEFAULT NULL,
  `ExtractedLinks` int(11) NOT NULL DEFAULT '0',
  `Type` varchar(255) DEFAULT 'page',
  `UrlMd5` char(32) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `idx_pages_UrlMd5` (`UrlMd5`),
  KEY `idx_pages_UrlMd5_Depth_SeedID` (`UrlMd5`,`Depth`,`SeedID`),
  KEY `idx_DateModified` (`DateModified`),
  KEY `idx_TextSize` (`TextSize`)
) ENGINE=InnoDB AUTO_INCREMENT=557905451 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pictures`
--

DROP TABLE IF EXISTS `pictures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pictures` (
  `pictID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `seedID` int(11) NOT NULL,
  `pictRE` varchar(255) DEFAULT NULL,
  `RelLinks` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`pictID`)
) ENGINE=InnoDB AUTO_INCREMENT=302 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `regularexp`
--

DROP TABLE IF EXISTS `regularexp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `regularexp` (
  `ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ID_old` int(11) NOT NULL,
  `seedID` int(11) DEFAULT NULL,
  `seed` varchar(600) DEFAULT NULL,
  `domainID` int(11) NOT NULL,
  `source_ID` int(11) NOT NULL,
  `RegExp` varchar(255) DEFAULT NULL,
  `Header` varchar(255) DEFAULT NULL,
  `Author` varchar(255) DEFAULT NULL,
  `Preview` varchar(255) DEFAULT NULL,
  `text` varchar(255) DEFAULT NULL,
  `Date` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=564 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `seed`
--

DROP TABLE IF EXISTS `seed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `seed` (
  `seedID` int(11) NOT NULL,
  `sourceID` int(11) NOT NULL DEFAULT '0',
  `seed` varchar(600) NOT NULL,
  `CrawlingMode` tinyint(1) DEFAULT NULL,
  `Priority` int(11) DEFAULT NULL,
  `Depth` int(11) DEFAULT NULL,
  `ProcID` tinyint(4) unsigned DEFAULT NULL,
  `ShortLinks` tinyint(1) NOT NULL DEFAULT '0',
  `RegExp` varchar(255) DEFAULT NULL,
  `Status` int(11) NOT NULL DEFAULT '0',
  `StatusComment` varchar(255) DEFAULT NULL,
  `Live` tinyint(1) NOT NULL DEFAULT '0',
  `RealSource` varchar(255) DEFAULT NULL,
  `PictureFromRSS` int(11) NOT NULL DEFAULT '0',
  `PictureFromPage` int(11) NOT NULL DEFAULT '0',
  `project` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`seedID`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `source`
--

DROP TABLE IF EXISTS `source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `source` (
  `sourceID` int(11) NOT NULL,
  `URL` varchar(255) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `URL_nice` varchar(255) DEFAULT NULL,
  `name_nice` varchar(255) DEFAULT NULL,
  `cover` varchar(20) DEFAULT NULL,
  `cover_pct` varchar(10) DEFAULT NULL,
  `category` varchar(20) DEFAULT NULL,
  `category_pct` varchar(10) DEFAULT NULL,
  `veracity` varchar(20) DEFAULT NULL,
  `veracity_pct` varchar(10) DEFAULT NULL,
  `status` varchar(10) DEFAULT 'Y',
  `Tags` varchar(255) DEFAULT NULL,
  `seed` varchar(550) DEFAULT NULL,
  `idFO` int(11) DEFAULT NULL,
  `abbrFO` varchar(50) DEFAULT NULL,
  `SuperSource` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`sourceID`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `subrf`
--

DROP TABLE IF EXISTS `subrf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subrf` (
  `idSb` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `idFO` int(11) NOT NULL,
  `nameSb` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`idSb`)
) ENGINE=InnoDB AUTO_INCREMENT=87 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `synonyms`
--

DROP TABLE IF EXISTS `synonyms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `synonyms` (
  `synID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sourceID` int(11) NOT NULL,
  `type_TE` varchar(20) DEFAULT NULL,
  `source_TE` varchar(255) NOT NULL,
  PRIMARY KEY (`synID`)
) ENGINE=InnoDB AUTO_INCREMENT=1477 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `terr`
--

DROP TABLE IF EXISTS `terr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `terr` (
  `terrID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sourceID` int(11) NOT NULL,
  `terr_type` varchar(15) DEFAULT NULL,
  `RegionID` int(11) DEFAULT NULL,
  `Region` varchar(50) DEFAULT NULL,
  `Region_pct` varchar(10) DEFAULT NULL,
  `CountryID` int(11) DEFAULT NULL,
  `Country` varchar(50) DEFAULT NULL,
  `country_pct` varchar(10) DEFAULT NULL,
  `CityID` int(11) DEFAULT NULL,
  `City` varchar(50) DEFAULT NULL,
  `City_pct` varchar(10) DEFAULT NULL,
  `StrShort` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`terrID`)
) ENGINE=InnoDB AUTO_INCREMENT=2338 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `urls`
--

DROP TABLE IF EXISTS `urls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `urls` (
  `urlID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sourceID` int(11) NOT NULL,
  `url_type` varchar(20) DEFAULT NULL,
  `URL` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`urlID`)
) ENGINE=InnoDB AUTO_INCREMENT=1720 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-01-30 17:27:15
